<script setup lang="ts">
    import SDialog from './SDialog.vue'

    const dialogIsActive = defineModel<boolean>()

    withDefaults(
        defineProps<{
            title: string
            formIsLoading?: boolean
        }>(),
        {
            formIsLoading: false,
        }
    )
    defineEmits<{
        (e: 'closeDialog'): void
    }>()
</script>
<template>
    <s-dialog
        v-model="dialogIsActive"
        :title="title"
        :display-close-button="!formIsLoading"
        @close-dialog="$emit('closeDialog')"
    >
        <slot> </slot>
        <template #actions>
            <v-btn :loading="formIsLoading" @click="$emit('closeDialog')">
                Annuler
            </v-btn>
            <slot name="actions"> </slot>
        </template>
    </s-dialog>
</template>
